### Method

# Vips Image draw_line

#### Declaration [src]

    int
    vips_draw_line (
      VipsImage* image,
      double* ink,
      int n,
      int x1,
      int y1,
      int x2,
      int y2,
      ...
    )

#### Description [src]

Draws a 1-pixel-wide line on an image.

`ink` is an array of double containing values to draw.

See also

`vips_draw_line1()`, `vips_draw_circle()`, `vips_draw_mask()`.

This method is not directly available to language bindings.

#### Parameters

`ink`

  Type: An array of `double`

  Value to draw.

  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the method.

`n`

  Type: `int`

  Length of ink array.

`x1`

  Type: `int`

  Start of draw_line.

`y1`

  Type: `int`

  Start of draw_line.

`x2`

  Type: `int`

  End of draw_line.

`y2`

  Type: `int`

  End of draw_line.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.